body {
    font-family: 'Roboto', serif;
    font-size: 12px;
    text-align: center;
    background-image: url("../img/SalsaSitti_BG.jpg");
    background-size: 500px 1000px; 
    background-position-x: right;
    background-position-y: 0px;
    background-repeat: no-repeat; 
    background-color: rgb(16, 3, 31);
}

.event-link {
  color: white;
}

.flex-container {
    /* We first create a flex layout context */
    display: flex;
    
    /* Then we define the flow direction 
       and if we allow the items to wrap 
     * Remember this is the same as:
     * flex-direction: row;
     * flex-wrap: wrap;
     */
    flex-flow: row wrap;
    
    /* Then we define how is distributed the remaining space */
    justify-content: space-around;
    
    padding: 0;
    margin: 0;
    list-style: none;
  }
  
  .flex-item {
    background: rgb(16, 3, 31);
    border-radius: 3px;
    padding: 5px;
    width: 38vw;
    height: auto;
    margin-top: 0px;
    color: white;
    font-weight: bold;
    font-size: 5vw;
    text-align: center;
    line-height: 150px;
    min-width: 350px;
  }

  .flex-headliner {
    background: rgba(16, 3, 31, 0.27);
    border-radius: 3px;
    padding: 5px;
    width: 80%;
    margin-top: 20px;
    color: white;
    font-weight: bold;
    text-align: center;
    line-height: 50px;
  }  

  .about-us {
    line-height: normal;
  }

  .flex-socials {
    background: rgba(224, 19, 74, 0);
    border-radius: 3px;
    padding: 5px;
    width: 98%;
    height: 50px;
    margin-top: 10px;
    color: white;
    font-weight: bold;
    font-size: 3em;
    text-align: center;
    line-height: 50px;
  }  

  .flex-blurb {
    background: rgba(255, 255, 255, 0.75);
    border-radius: 3px;
    padding: 5px;
    width: 80%;
    height: auto;
    margin-top: 45px;
    color: rgb(0, 0, 0);
    text-align: left;
    font-size: calc(8px + 0.4vw);
  } 

  .flex-blurb-nobg {
    background: rgba(0, 0, 0, 0.75);
    border-radius: 3px;
    padding: 5px;
    width: 80%;
    height: 350px;
    margin-top: 10px;
    color: rgb(255, 255, 255);
    text-align: left;
  }    

.popup-island {
  background: rgb(255, 255, 255);
  padding: 10px;
  padding-top: 10px;
  float: left;
  top: 0px;
  position: absolute;
  z-index: 99;
  height: 100%;
  padding-top: 50px;
  width: 90%;
  border-radius: 5px;
}

.login-island {
  background: rgb(36, 35, 35);
  padding: 10px;
  padding-top: 10px;
  float: left;
  top: 200px;
  position: absolute;
  z-index: 99;
  height: 150px;
  padding-top: 0px;
  color: white;
  width: 400px;
  border-radius: 5px;
  border: 2px #6c0000 solid
}

.bg-slide {
  padding-top: 10px;
  width: calc(100%);
  background-size: auto 250px;
  background-repeat: no-repeat;
  background-position-y: 40px;
}

.google-map-icon {
  position: absolute;
  top: 30px;
  right: 5px;
  padding: 10px;
}

.slide-desc {
  position: absolute;
  bottom: 70px;
  color: white;
  font-size: calc(9px + 1.2vw);
  right: 5px;
  background-color: black;
  padding: 10px;
  border-radius: 3px;
}

.flex-contact {
  background: rgba(255, 255, 255, 0.75);
  border-radius: 3px;
  padding: 5px;
  width: 80%;
  height: 400px;
  margin-top: 10px;
  color: rgb(0, 0, 0);
  text-align: left;
  line-height: 400px;
}     

.headline {
  font-size: calc(9px + 1.4vw);
}

.logo {
  width: 38vw; height: auto;
  min-width: 350px;
}

@media only screen and (max-width: 600px) {
  .flex-item {
    background: rgb(16, 3, 31);
    border-radius: 3px;
    padding: 5px;
    width: 38vw;
    height: auto;
    margin-top: 0px;
    color: white;
    font-weight: bold;
    font-size: 5vw;
    text-align: center;
    line-height: 150px;
    min-width: 350px;
  }

  .popup-island {
    background: rgb(255, 255, 255);
    padding: 10px;
    padding-top: 10px;
    float: left;
    top: 0px;
    position: absolute;
    z-index: 99;
    height: 98%;
    padding-top: 50px;
    width: 100%;
    border-radius: 5px;
  }

  .flex-headliner {
    background: rgba(16, 3, 31, 0.27);
    border-radius: 3px;
    padding: 5px;
    width: 99%;
    margin-top: 20px;
    color: white;
    font-weight: bold;
    text-align: center;
    line-height: 50px;
  }  
  
  .flex-socials {
    background: rgba(224, 19, 74, 0);
    border-radius: 3px;
    padding: 5px;
    width: 98%;
    height: 50px;
    margin-top: 10px;
    color: white;
    font-weight: bold;
    font-size: 3em;
    text-align: center;
    line-height: 50px;
  }  

  .flex-blurb {
    background: rgba(255, 255, 255, 0.75);
    border-radius: 3px;
    padding: 5px;
    width: 99%;
    height: auto;
    margin-top: 45px;
    color: rgb(0, 0, 0);
    text-align: left;
    font-size: calc(12px + 0.8vw);
  } 

  .flex-blurb-nobg {
    background: rgba(0, 0, 0, 0.75);
    border-radius: 3px;
    padding: 5px;
    width: 99%;
    height: 350px;
    margin-top: 10px;
    color: rgb(255, 255, 255);
    text-align: left;
  }    
  .flex-contact {
    background: rgba(255, 255, 255, 0.75);
    border-radius: 3px;
    padding: 5px;
    width: 99%;
    height: 400px;
    margin-top: 10px;
    color: rgb(0, 0, 0);
    text-align: left;
    line-height: 400px;
  }      
}

span {
  display: inline-block;
  vertical-align: middle;
  line-height: 20px; /* <-- adjust this */
}

label {
  width: 8vw;
  display: inline-block;
  min-width: 100px;
  margin-bottom: 10px;
}